slepc-3.10.1 2018-10-23
Report Typos and Errors

# DSSetDimensions

Resize the matrices in the DS object.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetDimensions(DS ds,PetscInt n,PetscInt m,PetscInt l,PetscInt k)

Logically Collective on DS

### Input Parameters

| ds | - the direct solver context
| n | - the new size
| m | - the new column size (only for DSSVD)
| l | - number of locked (inactive) leading columns
| k | - intermediate dimension (e.g., position of arrow)

### Notes

The internal arrays are not reallocated.

The value m is not used except in the case of DSSVD, pass 0 otherwise.

### See Also

DSGetDimensions(), DSAllocate()

Location: src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages